Fetch UserData for a FID
curl --request GET \
--url https://snapchain-api.neynar.com/v1/userDataByFid \
--header 'x-api-key: <api-key>'import requests
url = "https://snapchain-api.neynar.com/v1/userDataByFid"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://snapchain-api.neynar.com/v1/userDataByFid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://snapchain-api.neynar.com/v1/userDataByFid",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://snapchain-api.neynar.com/v1/userDataByFid"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://snapchain-api.neynar.com/v1/userDataByFid")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://snapchain-api.neynar.com/v1/userDataByFid")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"hash": "0xd2b1ddc6c88e865a33cb1a565e0058d757042974",
"hashScheme": "HASH_SCHEME_BLAKE3",
"signature": "aSDinaTvuI8gbWludGxpZnk=",
"signatureScheme": "SIGNATURE_SCHEME_ED25519",
"signer": "<string>",
"data": {
"type": "MESSAGE_TYPE_CAST_ADD",
"fid": 2,
"timestamp": 48994466,
"network": "FARCASTER_NETWORK_MAINNET",
"userDataBody": {
"type": "USER_DATA_TYPE_PFP",
"value": "https://i.imgur.com/123abc.jpg"
}
}
}{
"errCode": "<string>",
"presentable": true,
"name": "<string>",
"code": 123,
"details": "<string>",
"metadata": {
"errcode": [
"<string>"
]
}
}UserData
Fetch UserData for a FID
Note: one of two different response schemas is returned based on whether the caller provides the user_data_type parameter. If included, a single UserDataAdd message is returned (or a not_found error). If omitted, a paginated list of UserDataAdd messages is returned instead.
GET
/
v1
/
userDataByFid
Fetch UserData for a FID
curl --request GET \
--url https://snapchain-api.neynar.com/v1/userDataByFid \
--header 'x-api-key: <api-key>'import requests
url = "https://snapchain-api.neynar.com/v1/userDataByFid"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://snapchain-api.neynar.com/v1/userDataByFid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://snapchain-api.neynar.com/v1/userDataByFid",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://snapchain-api.neynar.com/v1/userDataByFid"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://snapchain-api.neynar.com/v1/userDataByFid")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://snapchain-api.neynar.com/v1/userDataByFid")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"hash": "0xd2b1ddc6c88e865a33cb1a565e0058d757042974",
"hashScheme": "HASH_SCHEME_BLAKE3",
"signature": "aSDinaTvuI8gbWludGxpZnk=",
"signatureScheme": "SIGNATURE_SCHEME_ED25519",
"signer": "<string>",
"data": {
"type": "MESSAGE_TYPE_CAST_ADD",
"fid": 2,
"timestamp": 48994466,
"network": "FARCASTER_NETWORK_MAINNET",
"userDataBody": {
"type": "USER_DATA_TYPE_PFP",
"value": "https://i.imgur.com/123abc.jpg"
}
}
}{
"errCode": "<string>",
"presentable": true,
"name": "<string>",
"code": 123,
"details": "<string>",
"metadata": {
"errcode": [
"<string>"
]
}
}Query Parameters
The type of user data, either as a numerical value or type string. If this is omitted, all user data for the FID is returned Specifies which field of a user's profile is being updated.
- USER_DATA_TYPE_PFP: Profile Picture URL for the user's avatar
- USER_DATA_TYPE_DISPLAY: Display Name shown on the user's profile
- USER_DATA_TYPE_BIO: Biography or description of the user
- USER_DATA_TYPE_URL: Website or social media link for the user
- USER_DATA_TYPE_USERNAME: Preferred username for the user
Available options:
USER_DATA_TYPE_PFP, USER_DATA_TYPE_DISPLAY, USER_DATA_TYPE_BIO, USER_DATA_TYPE_URL, USER_DATA_TYPE_USERNAME Response
The requested UserData.
- Option 1
- Option 2
Type of signature scheme used to sign the Message hash
- SIGNATURE_SCHEME_ED25519: Ed25519 signature (default)
- SIGNATURE_SCHEME_EIP712: ECDSA signature using EIP-712 scheme
Available options:
SIGNATURE_SCHEME_ED25519, SIGNATURE_SCHEME_EIP712 Was this page helpful?